Loading...
Searching...
No Matches
mac_poly_r Class Reference

`#include <tgbgauss.h>`

## Public Member Functions

| mac_poly_r ()
Public Member Functions inherited from omallocClass
void * | operator new (size_t size) throw (std::bad_alloc)
void | operator delete (void *block) throw ()
void * | operator new[] (size_t size) throw (std::bad_alloc)
void | operator delete[] (void *block) throw ()
void * | operator new (size_t size, const std::nothrow_t &) throw ()
void * | operator new[] (size_t size, const std::nothrow_t &) throw ()

## Data Fields

number | coef
mac_poly_r * | next
int | exp

## Detailed Description

Definition at line 44 of file tgbgauss.h.

## Constructor & Destructor Documentation

## mac_poly_r()

mac_poly_r::mac_poly_r | ( |  | ) |

inline

Definition at line 53 of file tgbgauss.h.

:next(NULL){}
mac_poly_r::next
mac_poly_r * next
Definition tgbgauss.h:51
NULL
#define NULL
Definition omList.c:12

## Field Documentation

## coef

number mac_poly_r::coef

Definition at line 50 of file tgbgauss.h.

## exp

int mac_poly_r::exp

Definition at line 52 of file tgbgauss.h.

## next

mac_poly_r* mac_poly_r::next

Definition at line 51 of file tgbgauss.h.

The documentation for this class was generated from the following file:

- kernel/GBEngine/tgbgauss.h